## SeahorseUnknownSource

SeahorseUnknownSource

## Synopsis

                        SeahorseUnknownSourcePrivate;
                        SeahorseUnknownSource;
    SeahorseUnknownSource* seahorse_unknown_source_new      (GQuark ktype);
    SeahorseObject*     seahorse_unknown_source_add_object  (SeahorseUnknownSource *usrc,
                                                             GQuark id,
                                                             SeahorseOperation *search);

## Description

## Details

### SeahorseUnknownSourcePrivate

    typedef struct _SeahorseUnknownSourcePrivate SeahorseUnknownSourcePrivate;

### SeahorseUnknownSource

    typedef struct {
    	GObject parent;
    	GQuark ktype;
    } SeahorseUnknownSource;

A source for unknown objects

- Derived from SeahorseSource - Is used for objects that haven't been found on a key server.

Properties: ktype: (GQuark) The ktype (ie: SKEY_UNKNOWN) of keys originating from this key source. location: (SeahorseLocation) The location of objects that come from this source. (ie: SEAHORSE_LOCATION_MISSING)

GObject `parent`; | The parent GObject
GQuark `ktype`; | The GQuark key type for the source

### seahorse_unknown_source_new ()

    SeahorseUnknownSource* seahorse_unknown_source_new      (GQuark ktype);

`ktype` : |
Returns : |

### seahorse_unknown_source_add_object ()

    SeahorseObject*     seahorse_unknown_source_add_object  (SeahorseUnknownSource *usrc,
                                                             GQuark id,
                                                             SeahorseOperation *search);

`usrc` : |
`id` : |
`search` : |
Returns : |